import { ISettingConfiguration, SdSettingOption, SdSetting, SdSettingServer, SdSettingOptionServer } from './setting.model';
export declare class SdSettingService {
    #private;
    private configuration;
    constructor(configuration: ISettingConfiguration);
    create<T = any>(key: string | object, option?: SdSettingOption<T>): SdSetting<T>;
    createServer<T = any>(key: string | object, option?: SdSettingOptionServer<T>): SdSettingServer<T>;
}
